Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.usertype
Interface ParameterizedType

All Known Implementing Classes:
  EnumType, SerializableToBlobType

    public interface ParameterizedType

Support for parameterizable types. A UserType or CustomUserType may be made parameterizable by implementing this interface. Parameters for a type may be set by using a nested type element for the property element in the mapping file, or by defining a typedef.

Method Summary
`void` | `setParameterValues(Properties parameters)` Gets called by Hibernate to pass the configured type parameters to the implementation.

Method Detail

### setParameterValues

    void setParameterValues(Properties parameters)

  Gets called by Hibernate to pass the configured type parameters to the implementation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.